Uploaded image for project: 'Apache Arrow'
  1. Apache Arrow
  2. ARROW-8522

[Developer] Add environment variable option to toggle whether ephemeral NodeJS is installed in release verification script

    XMLWordPrintableJSON

    Details

      Description

      Currently the script fails if the user does not have a new enough NodeJS and associated utilities (npm/npx) on their system.

      The code to install NodeJS exists already but it was disabled in https://github.com/apache/arrow/commit/e570db9c45ca97f77c5633e5525c02f55dbb6c4b#diff-8cc7fa3ae5de30b356c17d7a4b59fe09 because it caused problems when run in GitHub Actions

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                wesm Wes McKinney
                Reporter:
                wesm Wes McKinney
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 1h
                  1h